/* module banner styles */
header[role=banner]{
    background:linear-gradient(to right, #dce5fc, #7390f3);
    width: 100%;
    height: 2.18rem;
}
header[role=banner] > img{
    width: 100%;
    height: 100%;
}
/* role menubar styles */
nav[role=menubar]{
    background:#FFFFFF;
    width: 100%;
    padding:0 0.2rem;
    color:#5f6464;
    box-shadow: 0 0.04rem 0.08rem rgba(0,0,0,.1);
}
nav[role=menubar] > a{
    background:linear-gradient(#0c84ff,#0c84ff) no-repeat right bottom/0 0.05rem;
    height: 0.8rem;
    cursor: pointer;
    line-height: 0.8rem;
    font-size:0.2rem;
    transition: all .25s ease-out;
}
nav[role=menubar] > a[aria-current=true]{
    background-size:100% 0.05rem;
    color:#0c84ff;
    font-weight: 700;
}
nav[role=menubar] > a[aria-current=true] ~ a{
    background-position-x: left;
}

/* hgroup heading styles */
hgroup[role=heading] > h2{
    font-size:0.3rem;
    margin-top:0.2rem;
}
hgroup[role=heading] > h3{
    font-size:0.22rem;
    font-weight: 400;
    margin:0.2rem auto;
    padding-bottom:0.15rem;
    border-bottom:0.01rem solid #cccccc;
}

/* module training styles */
section[data-module=training]{
    padding-bottom:50px;
}
section[data-module=training] > figure{
    padding:0.3rem;
}
section[data-module=training] > figure > img{
    width: 100%;

}
section[data-module=training] > figure > figcaption{
    line-height: 0.36rem;
    padding-top:0.2rem;
}

/* module worth styles */
section[data-module=worth]{
    background: linear-gradient(#f4f7fe,#FFFFFF);
    position: relative;
    padding-bottom:50px;
    box-shadow: 0 2px 4px rgba(0,0,0,.1);
}
section[data-module=worth] > ul{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 0.3rem;
    margin-top:0.15rem;
}
section[data-module=worth] > ul > li{
    width: 100%;
    padding:0.15rem 0.25rem 0.3rem 0.25rem;
    font-size:0.2rem;
    line-height: 0.3rem;
    text-align: center;
    white-space: nowrap;
}
section[data-module=worth] > ul > li:nth-child(4n){
    margin-right: 0;
}
section[data-module=worth] > ul > li > img {
    height: 1.2rem;
}
section[data-module=worth] > ul > li > h4{
    background:linear-gradient(#2877FC,#2877FC) no-repeat bottom 0.1rem center/50% 0.05rem;
    font-size:0.22rem;
    font-weight: 700;
    padding:0.1rem 0 0.15rem 0;
}

/* module process styles */
section[data-module=process]{
    flex-direction: column;
    padding-bottom:0.5rem;
}
section[data-module=process] > img{
    width: 100%;
}

/* module content styles */
section[data-module=content]{
    background:linear-gradient(#0076fe,#0c84ff);
    padding-bottom:0.5rem;
    color:#FFFFFF;
}
section[data-module=content] > ul > li::before{
    background:#1750F5;
    display: flex;
    justify-content: center;
    align-items: center;
    content:attr(data-number);
    width: 0.3rem;
    height: 0.3rem;
    margin-bottom:0.15rem;
    color:#FFFFFF;
    font-weight: 700;
    border-radius: 0.3rem;
}
section[data-module=content] > ul{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 0.2rem;
    margin:0.15rem 0 0.3rem 0;
}
section[data-module=content] > ul > li{
    background:#FFFFFF;
    padding:0.2rem;
    font-size:0.2rem;
    color:#2877FC;
    border-radius: 0.1rem;
    box-shadow: 0 0.05rem 0.15rem rgba(0,0,0,.15);
    transition: transform .25s ease-out;
}
section[data-module=content] > ul > li:hover{
    transform:translateY(-0.05rem) scale(1.05);
}
section[data-module=content]  > p{
    width: 100%;
    text-align: center;
    font-size:0.24rem;
}

/* module features styles */
section[data-module=features]{
    padding-bottom:0.5rem;
}
section[data-module=features] > ul{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 0.3rem;
}
section[data-module=features] > ul > li{
    background:#FFFFFF radial-gradient(circle at top center,#2877FC 69.5%,transparent 70%) no-repeat top center/100% 100%;
    width: 100%;
    padding:0.3rem;
    color:#FFFFFF;
}
section[data-module=features] > ul > li > img{
    height: 1.3rem;
}
section[data-module=features] > ul > li > h4{
    font-size:0.24rem;
    border-bottom:0.01rem solid #FFFFFF;
    padding-bottom:0.1rem;
}
section[data-module=features] > ul > li > p{
    font-size:0.2rem;
    line-height: 0.3rem;
    text-align: center;
    padding:0.1rem 0 0.2rem 0;
}

/* module solution styles */
section[data-module=solution]{
    background:#f4f7fe;
    position: relative;
    padding-bottom: 0.5rem;
    box-shadow: 0 0.04rem 0.08rem rgba(0,0,0,.1);
}
section[data-module=solution] > ul{
    width: 100%;
}
section[data-module=solution] > ul > li{
    background:#FFFFFF;
    position: relative;
    width: 100%;
    height: 1.65rem;
    margin-bottom:0.3rem;
    padding:0.25rem 0.25rem 0.25rem 2.2rem;
}
section[data-module=solution] > ul > li > img{
    position: absolute;
    left:0.2rem;
    top:0.22rem;
    width: 1.8rem;
    height: 1.08rem;

    border-radius: 0.05rem;
    z-index:98;
}
section[data-module=solution] > ul > li h4{
    font-size:0.22rem;
    margin-bottom:0.15rem;
}
section[data-module=solution] > ul > li > p{
    font-size:0.2rem;
    line-height: 0.3rem;
    -webkit-line-clamp: 3;
}

/* module cases styles */
section[data-module=cases]{
    padding-bottom: 0.5rem;
    text-align: center;
}
section[data-module=cases] > ul{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 0.3rem;
    margin:0.1rem 0 0.3rem 0;
}
section[data-module=cases] > ul > li{
    position: relative;
    width: 100%;
    padding:2rem 0.2rem 0.2rem 0.2rem;
}
section[data-module=cases] > ul > li > img{
    position: absolute;
    top:0;
    left:0;
    width: 100%;
    height: 1.98rem;
}
section[data-module=cases] > ul > li > h4{
    padding:0.15rem 0;
    font-size:0.22rem;
}
section[data-module=cases] > ul > li > p{
    position: relative;
    padding-left:0.8rem;
    margin-bottom:0.1rem;
    line-height: 0.26rem;
    font-size:0.18rem;
    text-align: left;
}
section[data-module=cases] > ul > li > p > b{
    position: absolute;
    top:0;
    left:0;
}
section[data-module=cases] > ul > li > a{
    margin:0 auto;
}

@supports (position: sticky) {
    nav[role=menubar] {
        position: sticky;
        top:1rem;
        z-index:999;
    }
}